
;
; VFOS_IBM VFOSSIL driver by Bob Hartman  (SysOp of 1:132/101).
; Copyright 1988 by Spark Software.  ALL RIGHTS RESERVED.
;

vfos_data       struc

vfos_size       dw      ?       ; size of structure
vfos_major      dw	?       ; major revision number
vfos_rev	dw	?       ; VFOSSIL revision level
vfos_funcs   	dw	?       ; maximum supported functions

vfos_data       ends

mode_data       struc

mode_size       dw      ?       ; length of structure
mode_char       db      ?       ; mode characteristics
mode_colors     db      ?       ; number of colors supported
mode_cols       dw      ?       ; number of columns in this mode
mode_rows       dw      ?       ; number of rows in this mode
mode_res1       dw      ?       ; reserved
mode_res2       dw      ?       ; reserved
mode_res3       dd      ?       ; reserved

mode_data       ends

cfg_data        struc

cfg_size        dw      ?       ; length of structure
cfg_adapter     dw      ?       ; adapter type
cfg_display     dw      ?       ; display type
cfg_memory      dd      ?       ; adapter memory size

cfg_data        ends

curs_data       struc

curs_start      dw      ?       ; cursor start line
curs_end        dw      ?       ; cursor end line
curs_width      dw      ?       ; cursor width (always 1)
curs_attr       dw      ?       ; cursor attribute (-1 = hidden)

curs_data       ends

vfos_info       vfos_data <8,curr_maj_rev*10+curr_min_rev,curr_fossil,FUNCNT>
mode_info       mode_data <16,1,4,80,25,0,0,0>
cfg_info        cfg_data  <10,1,1,16*1024>
;curs_info       curs_data <6,7,1,0>
curs_info       curs_data <5,7,1,0>

ansi_state      dw      1       ; ANSI mode switch
adapter_base    dw      0b800h  ; base address of video adapter
