        page ,132
        title VFOSSIL driver - VFOS_IBM by Bob Hartman (1:132/101)
        subttl Miscellaneous data and routines

; VFOS_IBM VFOSSIL driver by Bob Hartman  (SysOp of 1:132/101).
; Copyright 1988 by Spark Software.  ALL RIGHTS RESERVED.
;
; This program source code is being released with the following provisions:
;
; 1.  You are  free to make  changes to this source  code for use on your own
; machine,  however,  altered source files may not be distributed without the 
; consent of Spark Software.
;
; 2.  You may distribute "patches"  or  "diff" files for any changes that you
; have made, provided that the "patch" or "diff" files are also sent to Spark
; Software for inclusion in future releases of the entire package.   A "diff"
; file for the source archives may also contain a compiled version,  provided
; it is  clearly marked as not  being created  from the original source code.
; No other  executable  versions may be  distributed without  the  consent of
; Spark Software.
;
; 3.  You are free to include portions of this source code in any program you
; develop, providing:  a) Credit is given to Spark Software for any code that
; may is used, and  b) The resulting program is free to anyone wanting to use
; it, including commercial and government users.
;
; 4.  There is  NO  technical support  available for dealing with this source
; code, or the accompanying executable files.  This source  code  is provided
; as is, with no warranty expressed or implied (I hate legalease).   In other
; words, if you don't know what to do with it,  don't use it,  and if you are
; brave enough to use it, you're on your own.
;
; Spark Software may be contacted by modem at (603) 888-8179 (node 1:132/101)
; on the public FidoNet network, or at the address given above.
;
; Failure to abide by this simple license agreement will cause your concience
; to haunt you for the rest of your life  (not to mention that possibility of
; a big lawsuit, and we could really use the money!).
;

;
; The source code is much too bulky to handle as a single unit (at least for
; me it was), so listed below are all of the modules which are simply pulled
; in at assembly time to create the final product.  If you prefer to program
; one large file,  simply append all of the files together and you will have
; one extremely large source file that can be used.
;
;* Modifications for DESQview support by David Page
;* The original does well unless the Fossil is installed BEFORE
;* DESQview, in which case the second VFOSSIL user will steal
;* the screen from the first. This version avoids that by using
;* Shadow calls prolifically, and is therefore slightly slower
;

        .XLIST
IF1
        %OUT VFOS_IBM VFOSSIL driver (modified for DV)
ENDIF
        .LIST
        page

        include equates.inc
        include macros.inc
        include startup.inc
        include data.inc
        include publics.inc
        include vio_dv.inc
        include tables.inc
        include int14.inc
        include install.inc

        end

